Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.signal
Class AbstractSignalingObserver

    java.lang.Object
      |
      +--cnrg.itx.signal.AbstractSignalingObserver

Direct Known Subclasses:
  Little

public class AbstractSignalingObserver
extends java.lang.Object
implements SignalingObserver

This class provides default implementations for the methods defined in the SignalingObsrver interface.

Constructor Summary
`AbstractSignalingObserver()`

Method Summary
`void` | `onAbortCall(AbortSignalEvent ase)`
`void` | `onDTMF(DTMFSignalEvent dtmfse)`
`void` | `onHangup(HangupSignalEvent hse)`
`void` | `onInvite(InviteSignalEvent se)`
`void` | `onStartCall(SignalConnection sc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSignalingObserver

    public AbstractSignalingObserver()

Method Detail

### onInvite

    public void onInvite(InviteSignalEvent se)

  Specified by:
    onInvite in interface SignalingObserver
  See Also:
    `cnrg.itx.signal.client.SignalingObserver.onInvite(InviteSignalEvent ise)`

### onStartCall

    public void onStartCall(SignalConnection sc)

  Specified by:
    onStartCall in interface SignalingObserver
  See Also:
    `cnrg.itx.signal.client.SignalingObserver.onStartCall(SignalConnection sc)`

### onAbortCall

    public void onAbortCall(AbortSignalEvent ase)

  Specified by:
    onAbortCall in interface SignalingObserver
  See Also:
    `cnrg.itx.signal.client.SignalingObserver.onAbortCall(AbortSignalEvent ise)`

### onHangup

    public void onHangup(HangupSignalEvent hse)

  Specified by:
    onHangup in interface SignalingObserver
  See Also:
    `cnrg.itx.signal.client.SignalingObserver.onHangup(HangupSignalEvent hse)`

### onDTMF

    public void onDTMF(DTMFSignalEvent dtmfse)

  Specified by:
    onDTMF in interface SignalingObserver
  See Also:
    `cnrg.itx.signal.client.SignalingObserver.onInvite(DTMFSignalEvent dtmfse)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD